SUMMON(8)

NAME
summon - downloads spell source files

SYNOPSIS
summon [options] spell(s)

EXAMPLE
To download emacs type:

    summon emacs

DESCRIPTION
summon is part of the sorcery source-code package management suite. It is a command-line tool for automatically downloading a packages' associated source files.

OPTIONS
Usually, summon will download all source files needed to compile the given package(s) with the current configuration. It will not download dependencies (other packages that the given package needs).

  --from <location>
This specifies a different /var/spool/sorcery directory, the directory the packages get downloaded to. (or actually moved to when the download finished) This may seem a strange name, but logical if you see that cast uses the same name for the same thing.

  --url <url>
This tries to download the specified spell from a different location. Specify only the directory, not the file. There are sorcery options to better handle this, this option is not recommended and may be removed in the future.

  -d|--download
This forces download even when the file already exists locally, instead of skipping it in that case.

  -g|--grimoire
Only use the specified grimoire. Helpful if a spell is in two grimoires or if you want to summon all spells in a specific grimoire.

Grimoire names can be absolute or relative to $CODEX_ROOT, usually /var/lib/sorcery/codex

  -p|--print <type>
Do not download, just print information. <type> can be either one of

source
    print out just the filenames that would be downloaded.

one_url
    print out one (the first) URL to all files that would be downloaded.

all_urls
    print out all URLs that would be tried, in case one fails. (except the fallback mirrors)

raw print the filenames and URLs in "raw" mode, to be read again by summon in raw mode.

  -r|--raw
Reads the filenames and URLs in "raw" mode. Raw mode consists of lines of the type

<filename> <url1> <url2> ...

  --queue
Downloads all spells in the install queue, as generated for example by sorcery --queue

  --all
Downloads all spells in the grimoire. This is generally not a good idea, unless you are running a mirror. This will be several GB, so make sure you have some time and a lot of space in /var.

  -h, --help
outputs short help

NOTES
Do not include version or section when specifying a package. To get complete listing of installed software packages and versions type gaze installed

AUTHOR
Original version by Thomas Stewart. Updated by Karsten Behrmann.

Maintained by the Source Mage GNU Linux Team (http://www.sourcemage.org)

REPORTING BUGS
Report bugs to bugzilla <http://bugs.sourcemage.org>

SEE ALSO
alter(8), cast(8), cleanse(8), dispel(8), gaze(1), grimoire(5), scribbler(8), scribe(8), sorcery_config(8), sorcery(8)

WARRANTY
This is free software with ABSOLUTELY NO WARRANTY